OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class GpMonitor

    java.lang.Object
      org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
          org.opennms.netmgt.poller.monitors.GpMonitor

All Implemented Interfaces:
  ServiceMonitor

public final class GpMonitor
extends IPv4LatencyMonitor

This class is designed to be used by the service poller framework to test the availability of a generic service by calling an external script or program. The external script or program will be passed two options: --hostname, the IP address of the host to be polled, and --timeout, the timeout in seconds. Additional options or arguments can be specified in the poller configuration.

Author:
  Tarus Balog , Mike , Weave, OpenNMS , Bill Ayres

Field Summary
`private static int` `DEFAULT_RETRY` Default retries.
`private static int` `DEFAULT_TIMEOUT` Default timeout.

Fields inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`DS_NAME`

Fields inherited from interface org.opennms.netmgt.poller.monitors.ServiceMonitor
`SERVICE_AVAILABLE, SERVICE_STATUS_MASK, SERVICE_UNAVAILABLE, SERVICE_UNKNOWN, SERVICE_UNRESPONSIVE, SURPRESS_EVENT_MASK`

Constructor Summary
`GpMonitor()`

Method Summary
`int` `poll(NetworkInterface iface, java.util.Map parameters, Package pkg)` Poll the specified address for service availability.

Methods inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`createRRD, initialize, initialize, release, release, updateRRD`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default retries.

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout. Specifies how long (in milliseconds) to block waiting for data from the monitored interface.

  See Also:
    Constant Field Values

Constructor Detail

### GpMonitor

    public GpMonitor()

Method Detail

### poll

    public int poll(NetworkInterface iface,
                    java.util.Map parameters,
                    Package pkg)

  Poll the specified address for service availability. During the poll an attempt is made to call the specified external script or program. If the connection request is successful, the banner line returned as standard output by the script or program is parsed for a partial match with the banner string specified in the poller configuration. Provided that the script's response is valid we set the service status to SERVICE_AVAILABLE and return. The timeout is handled by ExecRunner and is also passed as a parameter to the script or program being called.

  Parameters:
    `iface` - The network interface to test the service on.
    `parameters` - The package parameters (timeout, retry, etc...) to be used for this poll.
  Returns:
    The availibility of the interface and if a transition event should be supressed.
  Throws:
    `java.lang.RuntimeException` - Thrown if the interface experiences error during the poll.
  See Also:
    `ServiceMonitor.SURPRESS_EVENT_MASK`, `ServiceMonitor.SERVICE_AVAILABLE`, `ServiceMonitor.SERVICE_UNAVAILABLE`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.